summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-vim/vimacs/vimacs-56.ebuild')
-rw-r--r--app-vim/vimacs/vimacs-56.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/app-vim/vimacs/vimacs-56.ebuild b/app-vim/vimacs/vimacs-56.ebuild
new file mode 100644
index 0000000..3f00e69
--- /dev/null
+++ b/app-vim/vimacs/vimacs-56.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit vim-plugin
+
+# Note: This is r56 in the subversion repository.
+
+DESCRIPTION="Vim-Improved eMACS: an Emacs emulation for Vim"
+HOMEPAGE="http://www.algorithm.com.au/code/vimacs/index.html
+ http://sigil.com.au/svn/trunk/Vimacs/
+ http://www.vim.org/scripts/script.php?script_id=300"
+SRC_URI="http://www.algorithm.com.au/downloads/vimacs/${P}.tar.gz"
+# LICENSE="as-is"
+KEYWORDS="~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPFILES="vimacs tab-indent"
+
+
+src_install() {
+ dosym vim /usr/bin/vimacs || die
+ dosym vim /usr/bin/vemacs || die
+ dosym gvim /usr/bin/gvimacs || die
+ dosym gvim /usr/bin/gvemacs || die
+
+ vim-plugin_src_install
+}